#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x99,0xBE,0x6B,0xDA,0x91,0xA8,0xB4,0x28,0x5B,0xE7,0xAF,0xD2,
		0x85,0x3E,0x29,0x38,0xE2,0x68,0x92,0x28,0xEE,0x82,0x84,0xBB,
		0xFC,0x09,0x57,0x49,0xA9,0x60,0xDC,0x6B,0x16,0xD4,0xBF,0x47,
		0xE2,0xE1,0x52,0x73,0x6B,0xFC,0x4F,0x63,0xF3,0xB3,0x75,0xEA,
		0xD7,0xCA,0x5F,0xCC,0x66,0xCF,0x27,0x4E,0x0D,0x52,0x29,0xAB,
		0x32,0xBD,0x6A,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
